
#pragma once

#include "MemDumpDlg.h"

class CMemDumpView : public CDockablePane
{
		DECLARE_DYNAMIC(CMemDumpView)
// Создание
	public:
		CMemDumpView();
		virtual ~CMemDumpView() override;

// Атрибуты
	protected:
		CMemDumpDlg m_wndDlgex;

// Реализация
	public:
		virtual void AdjustLayout() override;
		void AttachDebugger(CDebugger *pDbgr)
		{
			m_wndDlgex.AttachDebugger(pDbgr);
		}
		void DisplayMemDump()
		{
			if (IsVisible())
			{
				m_wndDlgex.DisplayMemDump();
			}
		}

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnSetFocus(CWnd *pOldWnd);
		afx_msg void OnPaint();
		DECLARE_MESSAGE_MAP()
};

